#ifndef _ACTION_H
#define _ACTION_H

#include "stm32f4xx.h"
#include "motion_pages.h"

extern int64_t action_current_angles[PAGE_MAX_NUM_SERVOS];

// public functions
void action_init(uint16_t period);
inline void action_set_period(uint16_t period);
inline uint16_t action_get_period(void);
uint8_t action_load_page(uint8_t page_id);
void action_start_page(void);
void action_stop_page(void);
uint8_t action_is_running(void);

// motion manager interface
void action_process(void);

#endif
